/////////////////////////////////////////////////// -*- mode:c++; -*- ////
//  Copyright (C) 2008 by Jonathan Marten				//
//  jjm@keelhaul.me.uk							//
//									//
//  This program is free software; you can redistribute it and/or	//
//  modify it under the terms of the GNU General Public License as	//
//  published by the Free Software Foundation; either version 2 of	//
//  the License, or (at your option) any later version.			//
//									//
//  This program is distributed in the hope that it will be useful,	//
//  but WITHOUT ANY WARRANTY; without even the implied warranty of	//
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	//
//  GNU General Public License for more details.			//
//									//
//  You should have received a copy of the GNU General Public License	//
//  along with this program; if not, write to the			//
//  Free Software Foundation, Inc.,					//
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.		//
//									//
//////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////
//									//
//  This file is part of Kadoom, a KDE desktop front end to various	//
//  Doom game engines.  See http://www.keelhaul.me.uk/linux/kadoom	//
//  for the latest version and further information.			//
//									//
//									//
//  DisplayOptions							//
//  --------------							//
//									//
//  The generic 'Display' options dialogue.				//
//									//
//////////////////////////////////////////////////////////////////////////

#ifndef __DISPLAYOPTIONS_H
#define __DISPLAYOPTIONS_H

#include <kdialogbase.h>

#include <qsize.h>

class KConfig;

class QCheckBox;
class QComboBox;
class QSpinBox;
class QGroupBox;

class DisplayOptions : public KDialogBase
{
	Q_OBJECT

public:
	enum Option
	{
		Null = 0x00,
		NoAccel = 0x01, NoJoy = 0x02, NoMouse = 0x04,
		Expand2 = 0x10, Expand3 = 0x20,
		Windowed = 0x40
	};

public:
	DisplayOptions(QWidget *parent,const QSize &size = QSize(),DisplayOptions::Option opt = DisplayOptions::Null);
	Option options(void) const;
	QSize size(void) const;

protected slots:
	void slotChangedSize(int);

protected:
	QGroupBox *sizegroup;
	QGroupBox *advgroup;

	QComboBox *sizecombo;
	QSpinBox *custsizex;
	QSpinBox *custsizey;

	QComboBox *expcombo;
	QCheckBox *noaccel;
	QCheckBox *nojoy;
	QCheckBox *nomouse;
};

#endif							// DISPLAYOPTIONS_H
