/////////////////////////////////////////////////// -*- mode:c++; -*- ////
//  Copyright (C) 2008 by Jonathan Marten				//
//  jjm@keelhaul.me.uk							//
//									//
//  This program is free software; you can redistribute it and/or	//
//  modify it under the terms of the GNU General Public License as	//
//  published by the Free Software Foundation; either version 2 of	//
//  the License, or (at your option) any later version.			//
//									//
//  This program is distributed in the hope that it will be useful,	//
//  but WITHOUT ANY WARRANTY; without even the implied warranty of	//
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	//
//  GNU General Public License for more details.			//
//									//
//  You should have received a copy of the GNU General Public License	//
//  along with this program; if not, write to the			//
//  Free Software Foundation, Inc.,					//
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.		//
//									//
//////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////
//									//
//  This file is part of Kadoom, a KDE desktop front end to various	//
//  Doom game engines.  See http://www.keelhaul.me.uk/linux/kadoom	//
//  for the latest version and further information.			//
//									//
//									//
//  EdgeGame								//
//  --------								//
//									//
//  Specific game engine implementation for EDGE.			//
//									//
//////////////////////////////////////////////////////////////////////////

#ifndef __EDGEGAME_H
#define __EDGEGAME_H

#include <qstringlist.h>

#include "genericgame.h"

class EdgeGame : public GenericGame
{
	Q_OBJECT

public:
	EdgeGame(QWidget *parent);
	const GameManager::gameInfo *gameInfo(void);

protected:
	QStringList findSavedGames(void);
	QString demoFormat() const;
	const QString configName() { return (gameInfo()->name); }

	QString playStartLevel(QStringList &cmd,const QString &warp,int skill);
	QString optionsDisplay(QStringList &cmd);
	QString optionsSound(QStringList &cmd);
	QString optionsEnemies(QStringList &cmd);
	QString getPlayCommand(QStringList &cmd);

protected slots:
	void slotDisplayOptions();
	void slotSoundOptions();
	void slotEnemiesOptions();
};

#endif							// EDGEGAME_H
