/////////////////////////////////////////////////// -*- mode:c++; -*- ////
//  Copyright (C) 2008 by Jonathan Marten				//
//  jjm@keelhaul.me.uk							//
//									//
//  This program is free software; you can redistribute it and/or	//
//  modify it under the terms of the GNU General Public License as	//
//  published by the Free Software Foundation; either version 2 of	//
//  the License, or (at your option) any later version.			//
//									//
//  This program is distributed in the hope that it will be useful,	//
//  but WITHOUT ANY WARRANTY; without even the implied warranty of	//
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	//
//  GNU General Public License for more details.			//
//									//
//  You should have received a copy of the GNU General Public License	//
//  along with this program; if not, write to the			//
//  Free Software Foundation, Inc.,					//
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.		//
//									//
//////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////
//									//
//  This file is part of Kadoom, a KDE desktop front end to various	//
//  Doom game engines.  See http://www.keelhaul.me.uk/linux/kadoom	//
//  for the latest version and further information.			//
//									//
//									//
//  EnemiesOptions							//
//  --------------							//
//									//
//  The generic 'Enemies' options dialogue, with common and useful	//
//  options.								//
//									//
//////////////////////////////////////////////////////////////////////////

#ifndef __ENEMIESOPTIONS_H
#define __ENEMIESOPTIONS_H

#include <kdialogbase.h>

class QButtonGroup;
class QCheckBox;

class EnemiesOptions : public KDialogBase
{
	Q_OBJECT

public:
	enum Option
	{
		Null = 0x00,				// no special options
		None = 0x01,				// no monsters
		Respawn = 0x02,				// respawning monsters
		Fast = 0x04,				// nightmare speed
		Infight = 0x08,				// EDGE: monster infighting
		MoreBlood = 0x10			// EDGE: extra blood
	};

public:
	EnemiesOptions(QWidget *parent,EnemiesOptions::Option opt = EnemiesOptions::Null);
	Option options() const;

protected slots:
	void slotToggledMonsters(bool);

protected:
	QButtonGroup *buttongroup;
	QCheckBox *nomonsters;
	QCheckBox *respmonsters;
	QCheckBox *fastmonsters;
};

#endif							// ENEMIESOPTIONS_H
