/////////////////////////////////////////////////// -*- mode:c++; -*- ////
//  Copyright (C) 2008 by Jonathan Marten				//
//  jjm@keelhaul.me.uk							//
//									//
//  This program is free software; you can redistribute it and/or	//
//  modify it under the terms of the GNU General Public License as	//
//  published by the Free Software Foundation; either version 2 of	//
//  the License, or (at your option) any later version.			//
//									//
//  This program is distributed in the hope that it will be useful,	//
//  but WITHOUT ANY WARRANTY; without even the implied warranty of	//
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	//
//  GNU General Public License for more details.			//
//									//
//  You should have received a copy of the GNU General Public License	//
//  along with this program; if not, write to the			//
//  Free Software Foundation, Inc.,					//
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.		//
//									//
//////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////
//									//
//  This file is part of Kadoom, a KDE desktop front end to various	//
//  Doom game engines.  See http://www.keelhaul.me.uk/linux/kadoom	//
//  for the latest version and further information.			//
//									//
//									//
//  MatchResolver							//
//  -------------							//
//									//
//  Resolve a match for a source URL from a list of possibilities.	//
//									//
//////////////////////////////////////////////////////////////////////////

#ifndef __MATCHRESOLVER_H
#define __MATCHRESOLVER_H

class KURL;

class MatchResolver
{
public:
	enum Status					// match/dialogue status
	{
		Nothing    = 0,				// nothing found
		Cancelled  = 1,				// user cancelled dialogue
		First      = 2,				// first entry in list
		Extension  = 3,				// unique extension match
		NameNear   = 4,				// case independent name match
		NameExact  = 5,				// exact case name match
		UserSelect = 6,				// explicit user selection
		Remember   = 7				// the same, remember it
	};

	MatchResolver(const KURL &src,const QString &ext);

	MatchResolver::Status match(const QStringList &list,const QString &message);
	QString found() const;

private:
	QString source;
	QString expectBase;
	QString expectExt;
	QString foundEntry;
	MatchResolver::Status matchState;
};

#endif							// MATCHRESOLVER_H
