/////////////////////////////////////////////////// -*- mode:c++; -*- ////
//  Copyright (C) 2008 by Jonathan Marten				//
//  jjm@keelhaul.me.uk							//
//									//
//  This program is free software; you can redistribute it and/or	//
//  modify it under the terms of the GNU General Public License as	//
//  published by the Free Software Foundation; either version 2 of	//
//  the License, or (at your option) any later version.			//
//									//
//  This program is distributed in the hope that it will be useful,	//
//  but WITHOUT ANY WARRANTY; without even the implied warranty of	//
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	//
//  GNU General Public License for more details.			//
//									//
//  You should have received a copy of the GNU General Public License	//
//  along with this program; if not, write to the			//
//  Free Software Foundation, Inc.,					//
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.		//
//									//
//////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////
//									//
//  This file is part of Kadoom, a KDE desktop front end to various	//
//  Doom game engines.  See http://www.keelhaul.me.uk/linux/kadoom	//
//  for the latest version and further information.			//
//									//
//									//
//  SetupWizard								//
//  -----------								//
//									//
//  Select and configure a game engine, step by step.			//
//									//
//////////////////////////////////////////////////////////////////////////

#ifndef __SETUPWIZARD_H
#define __SETUPWIZARD_H

#include <kwizard.h>

#include "gamemanager.h"

class QWidget;
class QListBox;
class QLabel;
class KURLRequester;
class KActiveLabel;

class SetupWizard : public KWizard
{
	Q_OBJECT

public:
	SetupWizard(const QString &title,QWidget *parent);

	const QString getGameKey() const;
	const QString getGameName() const;
	const QString getExecutable() const;
	const QString getDataDir() const;

protected:
	void showPage(QWidget *page);
	void next();

protected slots:
	void slotPage1EngineSelected();
	void slotPage2ExecSelected();
	void slotPage3WadSelected();

private:
	const GameManager::gameInfo *game;
	const GameManager *manager;

	void setupPage1A();
	QWidget *page1A;
	QListBox *page1Alist;
	KActiveLabel *page1Ainfo;

	void setupPage1B();
	QWidget *page1B;
	QListBox *page1Blist;
	KActiveLabel *page1Binfo;

	void setupPage2();
	QWidget *page2;
	QLabel *page2info;
	KURLRequester *page2exec;

	void setupPage3();
	QWidget *page3;
	KURLRequester *page3wad;

	void setupPage4();
	QWidget *page4;
};

#endif							// SETUPWIZARD_H
