/////////////////////////////////////////////////// -*- mode:c++; -*- ////
//  Copyright (C) 2008 by Jonathan Marten				//
//  jjm@keelhaul.me.uk							//
//									//
//  This program is free software; you can redistribute it and/or	//
//  modify it under the terms of the GNU General Public License as	//
//  published by the Free Software Foundation; either version 2 of	//
//  the License, or (at your option) any later version.			//
//									//
//  This program is distributed in the hope that it will be useful,	//
//  but WITHOUT ANY WARRANTY; without even the implied warranty of	//
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	//
//  GNU General Public License for more details.			//
//									//
//  You should have received a copy of the GNU General Public License	//
//  along with this program; if not, write to the			//
//  Free Software Foundation, Inc.,					//
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.		//
//									//
//////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////
//									//
//  This file is part of Kadoom, a KDE desktop front end to various	//
//  Doom game engines.  See http://www.keelhaul.me.uk/linux/kadoom	//
//  for the latest version and further information.			//
//									//
//									//
//  SoundOptions							//
//  ------------							//
//									//
//  The generic 'Sound' options dialogue.				//
//									//
//////////////////////////////////////////////////////////////////////////

#ifndef __SOUNDOPTIONS_H
#define __SOUNDOPTIONS_H

#include <kdialogbase.h>

class QCheckBox;
class QButtonGroup;

class SoundOptions : public KDialogBase
{
	Q_OBJECT

public:
	enum Option
	{
		Null = 0x00,
		NoSfx = 0x01,
		NoMusic = 0x02,
		NoSound = 0x03,
		CDMusic = 0x04				// EDGE
	};

public:
	SoundOptions(QWidget *parent,SoundOptions::Option opt = SoundOptions::Null);
	Option options() const;

protected:
	QButtonGroup *buttongroup;

	QCheckBox *nosfx;
	QCheckBox *nomusic;
};

#endif							// SOUNDOPTIONS_H
